import * as React from 'react';
import FullCalendar, { CalendarOptions } from '@fullcalendar/react';
import dayGridPlugin from '@fullcalendar/daygrid';
import timeGridPlugin from '@fullcalendar/timegrid';
import interaction from '@fullcalendar/interaction';

type Props = Omit<CalendarOptions, 'plugins'>;

function CalendarWrapper(props: Props, ref: React.Ref<FullCalendar>) {
  return (
    <FullCalendar
      ref={ref}
      height="auto"
      allDaySlot={false}
      plugins={[dayGridPlugin, timeGridPlugin, interaction]}
      {...props}
    />
  );
}

export const Calendar = React.forwardRef<FullCalendar, Props>(CalendarWrapper);
